POST api/Login/Employer
Request Information
URI Parameters
None.
Body Parameters
LoginInput| Name | Description | Type | Additional information |
|---|---|---|---|
| Username | string |
None. |
|
| Password | string |
None. |
|
| UTCOffSet | integer |
None. |
|
| KeepMeLoggedIn | boolean |
None. |
|
| Request | HttpRequest |
None. |
|
| latitude | decimal number |
None. |
|
| longitude | decimal number |
None. |
|
| UserRoleType | LoginRoleType |
None. |
Request Formats
application/json, text/json
Sample:
{
"username": "sample string 1",
"password": "sample string 2",
"utcOffSet": 3,
"keepMeLoggedIn": true,
"latitude": 1.1,
"longitude": 1.1,
"userRoleType": 1
}
application/xml
Sample:
Sample not available.
text/xml
Sample:
Sample not available.
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
LoginOutput| Name | Description | Type | Additional information |
|---|---|---|---|
| SessionID | string |
None. |
|
| DidSucceed | boolean |
None. |
|
| SessionType | string |
None. |
|
| ResetPassword | boolean |
None. |
|
| ShowInactiveForm | boolean |
None. |
|
| ShowExpireNotification | boolean |
None. |
|
| ExpireNotificationMessage | string |
None. |
|
| LoginID | integer |
None. |
|
| AccountCreatedDate | date |
None. |
|
| MorpheusID | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"sessionID": "sample string 1",
"didSucceed": true,
"sessionType": "sample string 3",
"resetPassword": true,
"showInactiveForm": true,
"showExpireNotification": true,
"expireNotificationMessage": "sample string 7",
"loginID": 8,
"accountCreatedDate": "2026-08-05T04:58:42.8602406+00:00",
"morpheusID": "f8dad400-37e8-4d07-afb1-71e61af359c5"
}
application/xml, text/xml
Sample:
<LoginOutput xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/APIService.Models.Public.Login"> <AccountCreatedDate>2026-08-05T04:58:42.8602406+00:00</AccountCreatedDate> <DidSucceed>true</DidSucceed> <ExpireNotificationMessage>sample string 7</ExpireNotificationMessage> <LoginID>8</LoginID> <MorpheusID>f8dad400-37e8-4d07-afb1-71e61af359c5</MorpheusID> <ResetPassword>true</ResetPassword> <SessionID>sample string 1</SessionID> <SessionType>sample string 3</SessionType> <ShowExpireNotification>true</ShowExpireNotification> <ShowInactiveForm>true</ShowInactiveForm> </LoginOutput>